body {
  font-family: Arial, sans-serif;
  background: #f4f4f4;
  text-align: center;
  padding: 50px;
}

.container {
  max-width: 800px;
  margin: auto;
  margin-bottom:20em;
}

.card {
  width: 500px;
  height: 350px;
  margin: 50px auto;
  perspective: 1000px;
}

.card-inner {
  width: 100%;
  height: 100%;
  position: relative;
  transition: transform 0.6s;
  transform-style: preserve-3d;
}

.card:hover .card-inner {
  transform: rotateY(180deg);
}

.card-front,
.card-back {
  position: absolute;
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center;
  backface-visibility: hidden;
  border-radius: 10px;
}

.card-front {
  background: #fc0570;
  color: white;
  border-radius: 10px;
}

.card img {
  width: 100%;
  height: 100%;
  object-fit: contain;
  border-radius: 10px;
}

.card-back {
  background: #057dfc;
  color: white;
  transform: rotateY(180deg);
}